summaryrefslogtreecommitdiff
path: root/dev-python/django-prometheus
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/django-prometheus
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/django-prometheus')
-rw-r--r--dev-python/django-prometheus/Manifest4
-rw-r--r--dev-python/django-prometheus/django-prometheus-2.4.1.ebuild33
-rw-r--r--dev-python/django-prometheus/django-prometheus-2.5.0.ebuild38
-rw-r--r--dev-python/django-prometheus/metadata.xml10
4 files changed, 85 insertions, 0 deletions
diff --git a/dev-python/django-prometheus/Manifest b/dev-python/django-prometheus/Manifest
new file mode 100644
index 000000000000..4e63111c85e9
--- /dev/null
+++ b/dev-python/django-prometheus/Manifest
@@ -0,0 +1,4 @@
+DIST django_prometheus-2.4.1.tar.gz 24464 BLAKE2B b0a94e0a7eb35401d6ba17d3436bdec1bd4ea01f6d54fa6927213e6ff1f66ea259aa2241f9443a68d9427cbc1c377e4979cfe0f8e3736639818be536d37c34c3 SHA512 bfcf5afd1c209db350697000419078ae021f50e187a699922ed2f6b5d1b61b6b845ebd26eba812c0d4aceb31d5a424251d558473dd5739351ef4fd63fde77170
+DIST django_prometheus-2.4.1.tar.gz.provenance 9624 BLAKE2B c714b0c6d65c94dd59a444239ee78cd1a8bfb092dc3b3b06b941f04eef133a0d4802efdca2c35acdd8ac249139466560b583cdf50e6a91c6df62d014ba419497 SHA512 fb3611e883fe31916159f7de33bca4bf86910b84894e93b3c4762f9307f994964ea397995b9a2fb35e05e254f3faa6f318803562623e282c3cde912f9938d0f0
+DIST django_prometheus-2.5.0.tar.gz 26465 BLAKE2B 76579bdfc885419a442423fb78e59ac88de1c57736d3d6ceb8200d99ebadd3f5894396da594244745bb7a15753d39d3faf20da2d371857ce1d9f49f2636845d3 SHA512 7f129bb74c073054a871527dbf554c57a57520cea01dbc7242f5128f46118779789fe89188d0861c644b89a4fa468296e74a9362ea5454c8234b59e76edbb5a6
+DIST django_prometheus-2.5.0.tar.gz.provenance 9773 BLAKE2B 9256a9cda824fae355c489295f0f8fed28972f6b8f2c5ea03f0d0a6be648db7453f39a1f789dde0959f1bb038c1b366f63175b04fd8d6258b318dff89e6bd7a4 SHA512 27d4a57bcc86da953f380b94a80fec8a93df212fc27c7969b771336ca559ef037d8a453ae7e7c3f05aaace97aa72c42ace2616c58263b89348fd758882cddafe
diff --git a/dev-python/django-prometheus/django-prometheus-2.4.1.ebuild b/dev-python/django-prometheus/django-prometheus-2.4.1.ebuild
new file mode 100644
index 000000000000..75c23e5d6f92
--- /dev/null
+++ b/dev-python/django-prometheus/django-prometheus-2.4.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/django-commons/django-prometheus
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library to export Django metrics for Prometheus"
+HOMEPAGE="
+ https://github.com/django-commons/django-prometheus/
+ https://pypi.org/project/django-prometheus/
+"
+
+LICENSE="Apache-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ >=dev-python/django-4.2[${PYTHON_USEDEP}]
+ >=dev-python/prometheus-client-0.7[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i "/pytest-runner/d" setup.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/django-prometheus/django-prometheus-2.5.0.ebuild b/dev-python/django-prometheus/django-prometheus-2.5.0.ebuild
new file mode 100644
index 000000000000..8f04725f8850
--- /dev/null
+++ b/dev-python/django-prometheus/django-prometheus-2.5.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/django-commons/django-prometheus
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library to export Django metrics for Prometheus"
+HOMEPAGE="
+ https://github.com/django-commons/django-prometheus/
+ https://pypi.org/project/django-prometheus/
+"
+
+LICENSE="Apache-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ >=dev-python/django-4.2[${PYTHON_USEDEP}]
+ >=dev-python/prometheus-client-0.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/psycopg:0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i "/pytest-runner/d" setup.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/django-prometheus/metadata.xml b/dev-python/django-prometheus/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/django-prometheus/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>